/* ================================================================
 * ================================================================
 *
 * Special rendering functionality, such as showing of a robot's target
 *
 * Author: L. Pitonakova (http://lenkaspace.net)
 * License: GNU General Public License. Please credit me when using my work.
 *
 * ================================================================
 * ================================================================
 */
 
#ifndef FORAGING_QT_USER_FUNCTIONS_H
#define FORAGING_QT_USER_FUNCTIONS_H

#include <argos3/plugins/simulator/visualizations/qt-opengl/qtopengl_user_functions.h>
#include <argos3/plugins/robots/foot-bot/simulator/footbot_entity.h>

using namespace argos;

class QTLoopFunctions : public CQTOpenGLUserFunctions {

public:

   QTLoopFunctions();

   virtual ~QTLoopFunctions() {}

   void Draw(CFootBotEntity& c_entity);
   
};

#endif
